Subject: Re: bug#34671: 27.0.50; Outdated code listings in (elisp) Example Major Modes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Mar 2019 12:15:48 +0200

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Tue, 26 Feb 2019 17:06:58 +0000
> 
> "Basil L. Contovounesios" <[email-masked]> writes:
> 
> > Some of the examples in '(elisp) Example Major Modes' do not reflect the
> > current code in lisp/textmodes/text-mode.el and
> > lisp/emacs-lisp/lisp-mode.el.  Furthermore, the indentation of the
> > lisp-mode-map listing in the manual is off due to a tab character in its
> > Texinfo source.
> >
> > Patch(es) to follow.
> 
> I attach said patches; WDYT?

Thanks.

> The first patch reconciles the code listings in the manual with the
> current state of the corresponding libraries.

This part is definitely OK, please push to the emacs-26 branch.

> The second patch enables lexical-binding in text-mode.el along with some
> minor aesthetic changes.

I don't see the need for parts of this patch.  Enabling
lexical-binding is OK, but it should be a separate change unrelated to
this bug report.  And I'm not sure I see the reason for the other
changes, nor even agree with them.  In particular, please modify
whitespace only where you actually make other non-trivial changes.

> The last patch fulfils an old promise in the manual to eventually forgo
> setting indent-line-function in text-mode, which is considered
> redundant.

What if the user customizes the default values, shouldn't text-mode
reset that in the buffer where it is turned on?